version: '3'
services:

    db:
        platform: linux/x86_64
        image: mysql:5.7
        environment:
            MYSQL_DATABASE: ${DB_DATABASE}
            MYSQL_USER: ${DB_USERNAME}
            MYSQL_PASSWORD: ${DB_PASSWORD}
            MYSQL_ROOT_PASSWORD: ${DB_ROOT_PASSWORD}
        volumes:
            - ./data:/var/lib/mysql
        ports:
            - "3306:3306"

    app:
        build:
            context: .
            dockerfile: Dockerfile
        ports:
            - "8080:8080"
        depends_on:
            - db
        environment:
            DB_HOST: db
            DB_PORT: ${DB_PORT}
            DB_DATABASE: ${DB_DATABASE}
            DB_USERNAME: ${DB_USERNAME}
            DB_PASSWORD: ${DB_PASSWORD}
